Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.util
Class ObservedObject

    java.lang.Object
      org.jboss.mx.util.ObservedObject

public class ObservedObject
extends Object

An observed object

Field Summary
`static int` | `OBSERVED_ATTRIBUTE_ERROR_NOTIFIED` An observed attribute error has been notified.
`static int` | `OBSERVED_ATTRIBUTE_TYPE_ERROR_NOTIFIED` An observed attribute type error has been notified.
`static int` | `OBSERVED_OBJECT_ERROR_NOTIFIED` An observed object error has been notified.
`static int` | `RESET_FLAGS_ALREADY_NOTIFIED` Used to reset errors in `#alreadyNotified`.
`static int` | `RUNTIME_ERROR_NOTIFIED` An observed attribute type error has been notified.

Constructor Summary
`ObservedObject(ObjectName objectName)` Construct a new observed object.

Method Summary
`int` | `getAlreadyNotified()`
`Object` | `getDerivedGauge()`
`long` | `getDerivedGaugeTimeStamp()`
`Object` | `getLastValue()`
`ObjectName` | `getObjectName()`
`Object` | `getThreshold()`
`boolean` | `isAlreadyNotified(int mask)`
`boolean` | `notAlreadyNotified(int mask)`
`void` | `resetAlreadyNotified()`
`void` | `setAlreadyNotified(int mask)`
`void` | `setDerivedGauge(Object gauge)`
`void` | `setDerivedGaugeTimeStamp(long ts)`
`void` | `setLastValue(Object last)`
`void` | `setNotAlreadyNotified(int mask)`
`void` | `setThreshold(Object threshold)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESET_FLAGS_ALREADY_NOTIFIED

    public static final int RESET_FLAGS_ALREADY_NOTIFIED

  Used to reset errors in `#alreadyNotified`.

  See Also:
    Constant Field Values

### RUNTIME_ERROR_NOTIFIED

    public static final int RUNTIME_ERROR_NOTIFIED

  An observed attribute type error has been notified.

  See Also:
    Constant Field Values

### OBSERVED_OBJECT_ERROR_NOTIFIED

    public static final int OBSERVED_OBJECT_ERROR_NOTIFIED

  An observed object error has been notified.

  See Also:
    Constant Field Values

### OBSERVED_ATTRIBUTE_ERROR_NOTIFIED

    public static final int OBSERVED_ATTRIBUTE_ERROR_NOTIFIED

  An observed attribute error has been notified.

  See Also:
    Constant Field Values

### OBSERVED_ATTRIBUTE_TYPE_ERROR_NOTIFIED

    public static final int OBSERVED_ATTRIBUTE_TYPE_ERROR_NOTIFIED

  An observed attribute type error has been notified.

  See Also:
    Constant Field Values

Constructor Detail

### ObservedObject

    public ObservedObject(ObjectName objectName)

  Construct a new observed object.

Parameters:
  `objectName` - the object name.

Method Detail

### getObjectName

    public ObjectName getObjectName()

### getAlreadyNotified

    public int getAlreadyNotified()

### isAlreadyNotified

    public boolean isAlreadyNotified(int mask)

### notAlreadyNotified

    public boolean notAlreadyNotified(int mask)

### setNotAlreadyNotified

    public void setNotAlreadyNotified(int mask)

### setAlreadyNotified

    public void setAlreadyNotified(int mask)

### resetAlreadyNotified

    public void resetAlreadyNotified()

### getDerivedGauge

    public Object getDerivedGauge()

### setDerivedGauge

    public void setDerivedGauge(Object gauge)

### getLastValue

    public Object getLastValue()

### setLastValue

    public void setLastValue(Object last)

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp()

### setDerivedGaugeTimeStamp

    public void setDerivedGaugeTimeStamp(long ts)

### getThreshold

    public Object getThreshold()

### setThreshold

    public void setThreshold(Object threshold)

### toString

    public String toString()

  Returns:
    human readable string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.